clear all

%%%%%%%% Life cycle results for vehicles and fuels.  %%%%%%%%%%%
LCA_LDV = xlsread('Summary_1.xls','LCA','X34:AH38');
LCA_bus = xlsread('Summary_1.xls','LCA','Q3:Q7');
LCA_truck = xlsread('Summary_1.xls','LCA','Q11:Q15');
LCA_van = xlsread('Summary_1.xls','LCA','Q18:Q22');

LCA_petrol = xlsread('Summary_1.xls','LCA','Y12:Y16');
LCA_diesel = xlsread('Summary_1.xls','LCA','Z12:Z16');
LCA_el = xlsread('Summary_1.xls','LCA','X19:X23');
LCA_methane = xlsread('Summary_1.xls','LCA','Y19:Y23');
LCA_hydrogen = xlsread('Summary_1.xls','LCA','Z19:Z23');
LCA_ethanol = xlsread('Summary_1.xls','LCA','AA19:AA23');

Weight_LDV = xlsread('Summary_1.xls','Weight','F3:F11');

%Weight of each weight segment for Vans, trucks and busses
%CV = Commercial vehicles
Weight_CV = xlsread('Summary_1.xls','Weight','E53:E60');

%Lifetime of vehicles in years.
lifetime_bus = 20;
lifetime_truck = 20;
lifetime_LDV = 15;

%Quantity of vehicles 
Quantity_LDV_1 = xlsread('Summary_1.xls','LDV Results','T214:AN214');

%To be able to make the fuel types change over time it is important to
%calculate the share from the total quantity of vehicles
Total_Q_LDV = xlsread('Summary_1.xls','LDV Results','T214:AN214');
Fuel_share_1990_2010 = xlsread('Summary_1.xls','LDV Results','T218:AN226');

Population_2010 = xlsread('Summary_1.xls','LDV Results','T229:AN229');
Population_2050_S = xlsread('Summary_1.xls','LDV Results','AO230:CB230');
Population_2050_M = xlsread('Summary_1.xls','LDV Results','AO231:CB231');
Population_2050_L = xlsread('Summary_1.xls','LDV Results','AO232:CB232');
Population_1990_2050_S =[Population_2010 Population_2050_S];
Population_1990_2050_M =[Population_2010 Population_2050_M];
Population_1990_2050_L =[Population_2010 Population_2050_L];

%%%%%%How to multiply Share_segment_fuel with each year in Quantity_LDV????
Share_segment_Other = xlsread('Summary_1.xls','LDV Results','R2:R10');
Share_segment_Gasoline = xlsread('Summary_1.xls','LDV Results','S2:S10');
Share_segment_HybridM = xlsread('Summary_1.xls','LDV Results','T2:T10');
Share_segment_HybridE = xlsread('Summary_1.xls','LDV Results','U2:U10');
Share_segment_Diesel = xlsread('Summary_1.xls','LDV Results','V2:V10');
Share_segment_Ethanol = xlsread('Summary_1.xls','LDV Results','W2:W10');
Share_segment_Methane = xlsread('Summary_1.xls','LDV Results','X2:X10');
Share_segment_Electric = xlsread('Summary_1.xls','LDV Results','Y2:Y10');
Share_segment_Hydrogen = xlsread('Summary_1.xls','LDV Results','Z2:Z10');

Q_Other = xlsread('Summary_1.xls','LDV Results', 'T205:AN205');
Q_Gasoline = xlsread('Summary_1.xls','LDV Results', 'T206:AN206');
Q_HybridM = xlsread('Summary_1.xls','LDV Results', 'T207:AN207');
Q_HybridE = xlsread('Summary_1.xls','LDV Results', 'T208:AN208');
Q_Diesel = xlsread('Summary_1.xls','LDV Results', 'T209:AN209');
Q_Ethanol = xlsread('Summary_1.xls','LDV Results', 'T210:AN210');
Q_Methane = xlsread('Summary_1.xls','LDV Results', 'T211:AN211');
Q_Electric = xlsread('Summary_1.xls','LDV Results', 'T212:AN212');
Q_Hydrogen = xlsread('Summary_1.xls','LDV Results', 'T213:AN213');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% VANS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Van_Weight_Share_Org = xlsread('Summary_1.xls','Vans Results','Q2:Q9');

%Quantity of vans by fuel type according to Umferastofu.
Van_Q = xlsread('Summary_1.xls','Vans Results','BY2:CS10');

%Share of vans in each fuel type
Van_Fuel_share_Org = xlsread('Summary_1.xls','Vans Results','BY14:CS22');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BUS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Bus_Weight_Share_Org = xlsread('Summary_1.xls','Busses Results','C15:C22');

%Quantity of bus by fuel type according to Umferastofu.
Bus_Q = xlsread('Summary_1.xls','Busses Results','C3:W11');
Bus_Fuel_share_Org = xlsread('Summary_1.xls','Busses Results','Z3:AT11');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Truck %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Truck_Weight_Share_Org = xlsread('Summary_1.xls','Trucks Results','AC2:AC9');

%Quantity of truck by fuel type according to Umferastofu.
Truck_Q = xlsread('Summary_1.xls','Trucks Results','C3:W11');
Truck_Fuel_share_Org = xlsread('Summary_1.xls','Trucks Results','AI3:BC11');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Fuel %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Truck_PetrolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','C11:C18'))/100;
Truck_PetrolHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','D11:D18'))/100;
Truck_MethaneHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','E11:E18')/100);
Truck_HybridUse_Org = (xlsread('Summary_1.xls','LCA_fuel','F11:F18'))/100;
Truck_DieselUse_Org = (xlsread('Summary_1.xls','LCA_fuel','G11:G18'))/100;
Truck_EthanolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','H11:H18'))/100;
Truck_MethaneUse_Org = (xlsread('Summary_1.xls','LCA_fuel','I11:I18'))/100;
Truck_ElectricityUse_Org = (xlsread('Summary_1.xls','LCA_fuel','J11:J18'))/100;
Truck_HydrogenUse_Org = (xlsread('Summary_1.xls','LCA_fuel','K11:K18'))/100;

LDV_PetrolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','C22:C30'))/100;
LDV_PetrolHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','D22:D30'))/100;
LDV_MethaneHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','E22:E30'))/100;
LDV_HybridUse_Org = (xlsread('Summary_1.xls','LCA_fuel','F22:F30'))/100;
LDV_DieselUse_Org = (xlsread('Summary_1.xls','LCA_fuel','G22:G30'))/100;
LDV_EthanolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','H22:H30'))/100;
LDV_MethaneUse_Org = (xlsread('Summary_1.xls','LCA_fuel','I22:I30'))/100;
LDV_ElectricityUse_Org = (xlsread('Summary_1.xls','LCA_fuel','J22:J30'))/100;
LDV_HydrogenUse_Org = (xlsread('Summary_1.xls','LCA_fuel','K22:K30'))/100;

Bus_PetrolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','C19'))/100;
Bus_PetrolHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','D19'))/100;
Bus_MethaneHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','E19'))/100;
Bus_HybridUse_Org = (xlsread('Summary_1.xls','LCA_fuel','F19'))/100;
Bus_DieselUse_Org = (xlsread('Summary_1.xls','LCA_fuel','G19'))/100;
Bus_EthanolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','H19'))/100;
Bus_MethaneUse_Org = (xlsread('Summary_1.xls','LCA_fuel','I19'))/100;
Bus_ElectricityUse_Org = (xlsread('Summary_1.xls','LCA_fuel','J19'))/100;
Bus_HydrogenUse_Org = (xlsread('Summary_1.xls','LCA_fuel','K19'))/100;

Van_PetrolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','C20:C21'))/100;
Van_PetrolHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','D20:D21'))/100;
Van_MethaneHUse_Org = (xlsread('Summary_1.xls','LCA_fuel','E20:E21'))/100;
Van_HybridUse_Org = (xlsread('Summary_1.xls','LCA_fuel','F20:F21'))/100;
Van_DieselUse_Org = (xlsread('Summary_1.xls','LCA_fuel','G20:G21'))/100;
Van_EthanolUse_Org = (xlsread('Summary_1.xls','LCA_fuel','H20:H21'))/100;
Van_MethaneUse_Org = (xlsread('Summary_1.xls','LCA_fuel','I20:I21'))/100;
Van_ElectricityUse_Org = (xlsread('Summary_1.xls','LCA_fuel','J20:J21'))/100;
Van_HydrogenUse_Org = (xlsread('Summary_1.xls','LCA_fuel','K20:K21'))/100;

Distance_LDV_Org = xlsread('Summary_1.xls','LCA_fuel','P3:P11');
Distance_Van_Org = xlsread('Summary_1.xls','Weight','L4');
Bus_Distance_Org = xlsread('Summary_1.xls','Weight','L5');
Truck_Distance_Org = xlsread('Summary_1.xls','Weight','L6');

save matlab_scenario_1.mat